Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ExportModuleFactory Class Reference
[Plugins]

`#include <ExportModule.h>`

Inherits tlp::Plugin.

Inheritance diagram for tlp::ExportModuleFactory:

[legend]
Collaboration diagram for tlp::ExportModuleFactory:

[legend]
List of all members.

## Public Member Functions

- virtual ~ExportModuleFactory ()
- virtual ExportModule * createPluginObject (AlgorithmContext)=0
- virtual std::string getMajor () const
- virtual std::string getMinor () const
- virtual std::string getTulipMajor () const
- virtual std::string getTulipMinor () const

## Static Public Member Functions

- static void initFactory ()

## Static Public Attributes

- static TLP_SCOPE TemplateFactory<
  ExportModuleFactory, ExportModule,
  AlgorithmContext > * factory

## Constructor & Destructor Documentation

virtual tlp::ExportModuleFactory::~ExportModuleFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual ExportModule* tlp::ExportModuleFactory::createPluginObject | ( | AlgorithmContext |  | ) | `[pure virtual]`

virtual std::string tlp::ExportModuleFactory::getMajor | ( |  | ) | const`[inline, virtual]`

| Return the major release number of the plug-in Implements tlp::Plugin.

virtual std::string tlp::ExportModuleFactory::getMinor | ( |  | ) | const`[inline, virtual]`

| Return the minor release number of the plug-in Implements tlp::Plugin.

virtual std::string tlp::ExportModuleFactory::getTulipMajor | ( |  | ) | const`[inline, virtual]`

| Return the major Tulip release number the plug-in is build with Implements tlp::Plugin.

virtual std::string tlp::ExportModuleFactory::getTulipMinor | ( |  | ) | const`[inline, virtual]`

| Return the major Tulip release number the plug-in is build with Implements tlp::Plugin.

static void tlp::ExportModuleFactory::initFactory | ( |  | ) | `[inline, static]`

## Member Data Documentation

TLP_SCOPE TemplateFactory<ExportModuleFactory,ExportModule,AlgorithmContext >* tlp::ExportModuleFactory::factory`[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2010